Force processing analyzing depedencies of Ammonite script

I have an Ammonite script.

Sometimes IDEA asks me when opening a script to analyze the dependencies and it works ok, and I can use all: import $file and import $ivy.

I have a script that uses:

    import ammonite.ops._

It is included with Ammonite.

It isn't recognized by IDEA.

How do I force IDEA to process all imports?

2 comments
Comment actions Permalink

A workaround is to insert this:

import $ivy.`com.lihaoyi::ammonite-ops:1.0.3-34-24e8714`

 and IDEA asks me to process dependency.

0
Comment actions Permalink

After adding other imports later, this import is automatically removed by IDEA.

No problem because it isn't necessary.

0

Please sign in to leave a comment.